lp:ubuntu/vivid/xfce4-fsguard-plugin

Created by Ubuntu Package Importer on 2014-10-26 and last modified on 2015-03-03
Get this branch:
bzr branch lp:ubuntu/vivid/xfce4-fsguard-plugin
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

14. By Jackson Doak on 2015-03-03

New upstream release.

13. By Jackson Doak on 2014-04-07

Add 01-small-drives.patch to better support sizes below ~1GB

12. By Yves-Alexis Perez on 2013-05-24

* debian/rules:
  - enable all hardening flags.
* debian/control:
  - drop build-dep on dpkg-dev, stable has a recent enough version.
  - drop dependency on xfce4-panel build-dep, stable has Xfce 4.8.

11. By Yves-Alexis Perez on 2012-06-30

* New upstream release.
* debian/patches:
  - 01_fix-resource-file-loading dropped, included upstream.
  - 02_include_sys_vfs_h_on_gnu as well.
* debian/control:
  - replace libxfcegui4 dependency by libxfce4ui.
  - add build-dep on autotools-dev.
* debian/rules:
  - use autotools-dev addon to get rid of old config.{guess,sub} files.
  - pass --disable-static to configure and use find to delete .la files.
  - stop disabling tests.

10. By Yves-Alexis Perez on 2012-05-03

* debian/patches:
  - 02_include_sys_vfs_h_on_gnu added, fix FTBFS on GNU/Hurd, thanks Cyril
    Brulebois. closes: #670879
* debian/rules:
  - build with --parallel.
* debian/control:
  - update standards version to 3.9.3.
  - update debhelper build-dep to 9.

9. By Lionel Le Folgoc on 2011-12-03

[ Lionel Le Folgoc ]
* debian/patches/01_fix-resource-file-loading.patch: updated, fix segfault
  when no config exists, and correctly initialize settings with default
  values. closes: #637160

[ Yves-Alexis Perez ]
* debian/rules:
  - use dpkg-dev 1.16.1 and dh9 hardening support
  - use multiarch paths
* debian/compat bumped to 9.
* debian/control:
  - drop build-dep on hardening-includes
  - add build-dep on debhelper 8.9.4 and dpkg-dev 1.16.1 for hardening
    support.
  - only set uploaders to Lionel and me, thanks to all the others for the
    past work!
* debian/compat bumped to 9.

8. By Yves-Alexis Perez on 2011-09-04

* debian/patches:
  - 01_fix-resource-file-loading added, use the correct function to lookup
    resource file so default are correctly used. closes: #637161

7. By Yves-Alexis Perez on 2011-04-19

[ Evgeni Golov ]
* Fix Vcs-* fields, they were missing 'trunk' in the path.

[ Yves-Alexis Perez ]
* debian/watch edited to track Xfce archive reorganisation.
* debian/control:
  - update standards version to 3.9.2.
  - update Xfce build-deps to 4.8.

[ Stefan Ott ]
* Increment debhelper compatibility to version 5
* debian/control:
  - incremented debhelper build-dep to version >= 5.
  - move to xfce section.

[ Lionel Le Folgoc ]
* New upstream release.
* debian/compat: bump to 7.
* debian/control:
  - drop cdbs and bump dh b-dep to >= 7.0.50~
  - b-dep on hardening-includes.
* Switch to 3.0 (quilt) source format.
* debian/rules:
  - switch to dh.
  - pick {C,LD}FLAGS from dpkg-buildflags.
  - add -O1, -z,defs and --as-needed to LDFLAGS.
  - add hardening flags to {C,LD}FLAGS.

6. By Yves-Alexis Perez on 2009-02-22

[ Stefan Ott ]
* debian/control: update e-mail address

[ Yves-Alexis Perez ]
* New upstream release.
* debian/control:
  - add build-dep on intltool, libx11-dev, pkg-config, libgtk2.0-dev,
    libxfcegui4-dev.
  - update standards version to 3.8.0.
  - add depend on ${misc:Depends}.
* debian/patches:
  - 01_ja.po dropped, merged upstream.

5. By Yves-Alexis Perez on 2008-04-14

* debian/patches:
  - 01_ja.po.diff added, update ja translation. closes: #475912

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/wily/xfce4-fsguard-plugin
This branch contains Public information 
Everyone can see this information.

Subscribers